
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>web开发性能优化---SEO优化篇 / iVAN</title>

    <meta name="description" content="web开发性能优化---SEO优化篇 一.清理垃圾代码 清理垃圾代码是指删除页面中的冗余代码,可以删除80%的冗余代码. 垃圾代码主要指那些删除了也不会对页面有任何影响的非必要代码. 最常见的垃圾代码,空格 空格字符是网页中最常见的垃圾代码.但并不是指标签,而是有代码编辑环境下敲击空格所产生的符号,每个空格相当一个字符,那么也就是说,一个页面,空格就占页面体积的15%,100K的页面,有15K是空格字符. 空格字符最常出现 在代码的开始和结束处,还有就是空行中. 这些都是容易产生垃圾代码的地方.消除这样的垃圾代码的方法就是选中代码然">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">web开发性能优化---SEO优化篇</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong><strong>一、清理垃圾代码</strong></strong></p>
<p>清理垃圾代码是指删除页面中的冗余代码，可以删除80%的冗余代码。</p>
<p>垃圾代码主要指那些删除了也不会对页面有任何影响的非必要代码。 最常见的垃圾代码，空格 空格字符是网页中最常见的垃圾代码。但并不是指标签，而是有代码编辑环境下敲击空格所产生的符号，每个空格相当一个字符，那么也就是说，一个页面，空格就占页面体积的15%，100K的页面，有15K是空格字符。 空格字符最常出现 在代码的开始和结束处，还有就是空行中。 这些都是容易产生垃圾代码的地方。<strong>消除这样的垃圾代码的方法就是选中代码然后按shift+tab键左对齐。</strong></p>
<p><strong>二、HTML标签</strong></p>
<p><strong>A：HTML标签转换</strong></p>
<p>HTML标签的转换主要是指使用短标签替换在网页中有同样效果的长标签，例如&lt;b&gt;与&lt;strony&gt;两者都是对字体加粗但是&lt;strong&gt;却比&lt;b&gt;多了5个字符。如果一个页面出现上百个加粗标签。就会产生不少的冗余代码。<strong> </strong><strong>解决方法是：在制作html页面的时候，进行优化的选择使用的标签。</strong></p>
<p><strong>B：头部标签 </strong></p>
<p>&lt;title&gt;网站标题&lt;/title&gt; 标题设置</p>
<p>&lt;meta name="keywords" content="网站关键字，多个关键字用分隔符分开，如 |" /&gt;  关键子设置，考虑密度</p>
<p>&lt;meta name="description" content="对网站的描述" /&gt; 网站描述设置，考虑密度</p>
<p><strong>C：表格，ur 等容器形式的标签</strong></p>
<p>浏览器编译器遇到一个标签时，就开始寻找它的结束标签，直到它匹配上,才能显示它的内容， 所以当表，ur等容器形式的标签嵌套很多时,打开页面就会特别慢,这样就降低了用户体验了。解决方法：在编写html的时候：尽量使一个一个容器独立，如果要嵌套的时候，一定要使其清楚、简介。</p>
<p><strong>D：图片ait标签</strong></p>
<p>&lt;img src="图片地址" alt="图片关键字"/&gt;   alt一定要写</p>
<p><strong>E：合理 target="_blank"</strong></p>
<p>合理而不频繁使用target="_blank" 是能够在一定程度上位网站带来回旋流量和点击。同时，在细节上使用 target="_blank" ，可以增强网站整体用户体验。</p>
<p><strong><strong>三、CSS优化</strong></strong></p>
<p><strong>A：CSS调用 有3种方式</strong></p>
<p>1、直接在页面的&lt;head&gt;和&lt;/head&gt;之间写css样式，如果内容少则影响不大，否则大大增加页面的体积，还占用了顶部的重要位置。</p>
<p>2、直接在html标签上面定义css 样式，增加页面的代码量。</p>
<p>3、引用外部css文件，这三种方式中，最利于seo优化的是3也就是 引用css文件</p>
<p><strong>B：使用Reset但并非全局Reset </strong></p>
<p>不同浏览器元素的默认属性有所不同，使用Reset可重置浏览器元素的一些默认属性，以达到浏览器的兼容。但需要注意的是，请不要使用全局Reset， *{margin:0;padding:0;} 这不仅仅因为它是缓慢和低效率的方法，而且还会导致一些不必要的元素也重置了外边距和内边距。</p>
<pre>/** 清除内外边距 **/
body, h1, h2, h3, h4, h5, h6, hr, p,  blockquote, /* structural elements 结构元素 */  dl, dt, dd, ul, ol, li, pre,form, fieldset, legend, button, input,
 textarea, th, td, img{  border:medium none;  margin: 0;  padding: 0;  }
/** 设置默认字体 **/
body,button, input, select, textarea {  font: 12px ‘宋体’; }
h1, h2, h3, h4, h5, h6 { font-size: 100%; }
em{font-style:normal;}
/** 重置列表元素 **/
ul, ol { list-style: none; }
/** 重置超链接元素 **/
a { text-decoration: none; color:#333;}
a:hover { text-decoration: underline; color:#F40; }
/** 重置图片元素 **/
img{ border:0px;}
/** 重置表格元素 **/
table { border-collapse: collapse; border-spacing: 0; }
</pre>
<p><strong>C： 良好的命名习惯 </strong></p>
<p>无疑乱七八糟或者无语义命名的代码，谁看了都会抓狂。如&lt;h1&gt;My name is &lt;span class=”red blod”&gt;Wiky&lt;/span&gt;&lt;/h1&gt; 问题在于如果你需要把所有原本红色的字体改成蓝色，那修改后就样式就会变成， red{color:bule;} 这样的命名就会很让人费解。同样的命名为leftBar的侧边栏如果需要修改成右侧边栏也会很麻烦。</p>
<p>所以，请不要使用元素的特性，颜色，位置，大小等，来命名一个class或id。您可以选择意义的命名如，#navigation{…}，.sidebar{…}，.postwrap{…} 这样，无论你如何修改定义这些class或id的样式，都不影响它跟HTML元素间的联系。</p>
<p>另外还有一种情况，一些固定的样式，定义后就不会修改的了，那你命名时就不用担忧刚刚说的那种情况，如:</p>
<ol>
<li>.alignleft{float:left;margin-right:20px;}</li>
<li>.alignright{float:right;text-align:right;margin-left:20px;}</li>
<li>.clear{clear:both;text-indent:-9999px;}</li>
</ol>

<pre>.alignleft{float:left;margin-right:20px;}
 .alignright{float:right;text-align:right;margin-left:20px;}
 .clear{clear:both;text-indent:-9999px;}</pre>
<p>如果需要把这个段落由原先的左对齐修改为右对齐，那么只需要修改它的className就为alignright就可以了。</p>
<p><strong>D：代码缩写 CSS代码缩写可以提高你写代码的速度，精简你的代码量。</strong></p>
<p>在CSS里面有不少可以缩写的属性，包括margin，padding，border ，font，background和颜色值等，如果您学会了代码缩写，可写成代码：</p>
<ol>
<li>li{ font:1.2em/1.4emArial,Helvetica,sans-serif;padding:5px0<br />
 10px5px; }</li>
</ol>

<pre>li{ font: 1.2em/1.4em Arial, Helvetica, sans-serif; padding:5px 0 10px 5px; }</pre>
<p><strong>E：利用CSS继承 如果页面中父元素的多个子元素使用相同的样式</strong>，那最好把他们相同的<strong>样式定义在其父元素上</strong>，让它们继承这些CSS样式。这样你可以很好的维护你的代码，并且还可以减少代码量。那么本来这样的代码，</p>
<ol>
<li>#container li{font-family:Georgia, serif; }</li>
<li>#container p{<br />
font-family:Georgia, serif; }</li>
<li>#container h1{font-family:Georgia, serif; }</li>
</ol>

<pre>#container li{ font-family:Georgia, serif; }
#container p{ font-family:Georgia, serif; }
#container h1{font-family:Georgia, serif; }</pre>
<p>可以写成:</p>
<ol>
<li>#container{font-family:Georgia,serif; }</li>
</ol>

<pre>#container{font-family:Georgia,serif; }</pre>
<p><strong> F：使用多重选择器 </strong></p>
<p>你可以合并多个CSS选择器为一个，如果他们有共同的样式的话。这样做不但代码简洁且可为你节省时间和空间。</p>
<p>如， h1, h2, h3{ font-family:Arial, Helvetica, sans-serif; font-weight:normal; }</p>
<p><strong>G： 适当的代码注释 </strong></p>
<p>代码注释可以让别人更容易读懂你的代码且合理的组织代码注释，可使得结构更加清晰。 <br /><strong>H：使用外部样式表 </strong></p>
<p>这个原则始终是一个很好的设计实践。不单可以更易于维护修改，更重要的是使用外部文件可以提高页面速度，因为CSS文件都能在浏览器中产生缓存。内置在HTML文档中的CSS则会在每次请求中随HTML文档重新下载。</p>
<p><strong>I：避免使用CSS表达式</strong></p>
<p>表达式的问题就在于它的计算频率要比我们想象的多。不仅仅是在页面显示和缩放时，就是在页面滚动、乃至移动鼠标时都会要重新计算一次。给CSS表达式增加一个计数器可以跟踪表达式的计算频率。在页面中随便移动鼠标都可以轻松达到10000次以上的计算量。</p>
<p><strong>J：代码压缩 </strong></p>
<p>当你决定把网站项目部署到网络上，那你就要考虑对CSS进行压缩，出去注释和空格，以使得网页加载得更快。压缩您的代码，可以采用一些工具，如YUI Compressor，利用它可精简CSS代码减少文件大小以获得更高的加载速度。</p>
<p><strong>四、JS调用 </strong></p>
<p>JS的2种调用方式</p>
<p>A：直接写在页面，巨量的JS代码放到页面不但增加页面的体积,而且还会占用首页这样重量级位置。从而使得页面中相对重要的位置不能优先向搜索引擎展示</p>
<p>B：引用JS文件，引用外部地址的JS会影响打开网页的速度。</p>
<p><strong>五、Url重写</strong></p>
<p>把动态页面.aspx .jsp .php重新成.html，让搜索引擎更容易识别；</p>
<p>本文为个人经实际工作经验和收集总结整理，写得不到之处请给出宝贵意见，谢谢。</p>
<p>本人新浪微博：<a href="http://weibo.com/i/1741159542" rel="external nofollow noreferrer">http://weibo.com/i/1741159542</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 10:36:38</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7%e4%bd%93%e9%aa%8c/" title="用户体验">用户体验</a>, <a href="https://www.iamivan.net/tag/%e7%a9%ba%e6%a0%bc/" title="空格">空格</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/html/" title="html">html</a>, <a href="https://www.iamivan.net/tag/%e5%ae%b9%e5%99%a8/" title="容器">容器</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd%e4%bc%98%e5%8c%96/" title="性能优化">性能优化</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e8%be%be%e5%bc%8f/" title="表达式">表达式</a>, <a href="https://www.iamivan.net/tag/seo/" title="seo">seo</a>, <a href="https://www.iamivan.net/tag/css/" title="css">css</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>web开发性能优化---SEO优化篇的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0nJx7z.html" rel="bookmark">创建一个完美的网站架构优化-SEO系统篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 搜索引擎优化工作分为站内,站外,我们都知道站内也好,站外也好如果做不好,SEO的工作将无法进行下去.我们知道搜索引擎是软件程序,既有长处也有短处.做为SEO,运营整个网站必须要调整整个网站的精简架构,让搜索引擎蜘蛛更容易抓起,降低搜索引擎的工作难度,我们如果能做到这一点,那么我们离SEO成功将近了一大步.所以站内优化系统有的时候并不是我们想的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqW1QGz.html" rel="bookmark">网站优化SEO优化之关键词</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1) 关键词方向及范围圈定 关键词是SEO优化的三大重点之一,而关键词由于SEO目的的不同对选词方向和范围将会有不同的侧重.为流量的时候追求大流量收益的词汇,为提高用户回报率时追逐更加精准带有购物动词型的词等,从目标的不同将会对关键词方向及范围圈定造成极大的影响.试想一下一家希望制造相关用户数据进行风投洽谈的互联网公司会强调流量的%C 1) 关键词方向及范围圈定 关键词是SEO优化的三大重点之一,而关键词由于SEO目的的不同对选词方向和范围将会有不同的侧重.为流量的时候追求大流量收益的词汇,为提			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40PX9z.html" rel="bookmark">web开发性能优化---UI界面篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.尽量采用div+css布局 DIV+CSS相比较与表格布局的优势: a.代码精简  使用DIV+CSS布局,页面代码精简,这一点对XHTML有所了解的都知道.代码精简所带来的直接好处有两点:一是提高蜘蛛爬行效率,能在最短的时间内爬完整个页面,这样对收录质量有一定好处;二是由于能高效的爬行,就会受到蜘蛛喜欢,这样对收录数量有一定好处.  b.减少因嵌套多而影响蜘蛛爬行的问题  使用一般的Table表格架构,为了达到一定的视觉效果,不得不套用多个表格.如果嵌套的表格中是核心内容,spider爬行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOWQXqz.html" rel="bookmark">web开发性能优化---代码优化篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.合理使用缓存使用 提高性能最好最快的办法当然是通过缓存来改善,对于任何一个web开发者都应该善用缓存.Asp.net下的缓存机制十分强大,用好缓存机制可以让我们极大的改善web应用的性能. 1.页面缓存 2.部分页面缓存 3.使用DataSource缓存 4.Cache对象 2.避免数据库频繁连接 1.能采用SQL或直接存储过程一次执行的尽量不要用代码多次执行 2.及时关闭数据库连接 3.适当采取配置文件文件存频繁使用文件 1.对不经常更改并且数据量小的可采用xml或者配置文件设置 4.资源			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr7e1vp.html" rel="bookmark">web开发性能优化---分布式篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.分布式架构-独立站点开发 模块化结构化开发,实现多资源分站点,数据分库,为后期实现分布式部署做准备,主要分为以下几部分: web站点: 1.web前端站点 2.图片.文件资源站点 3.管理端站点4.数据接口站点 数据库: 1.业务数据库 2.访问信息数据库.日志 前期访问量和数据量较小可采取单台或小数目台数服务器部署,后期大数据量采取多web站点多数据服务器方式进行部署. 2.分布式部署-CDN分发式网络 CDN的全称是Content Delivery Network,即内容分发网络.其目的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq7wmKz.html" rel="bookmark">web开发性能优化---扩展性能篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/Mq7wmKz.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDEwMjgxNTUwNDE2NDY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Wm5WNWFXWmhibWM9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg">
							</a>
						<div class="summary">
				1.实现代码分离 一个成熟的软件开发团队一般都不会完全手写代码,这里讲的代码分离只要是开发中用到的小技巧,通过底层框架+手工代码方式结合实现快速开发和快速扩展: Code文件夹内文件不允许修改,文件夹主要存放系统自动生成代码:同一DAL层下运行两个类名相同,采用partial合并类,但是两个类不允许有同名同参数方法: 利用partial关键字合并两个同名类小技巧,code存放代码底层工具自动生成代码类,根目录存放手工添加自定义方法类. 在后期扩展的时候由于前期代码是分开放置,所以数据库新增字段调			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlxolqM.html" rel="bookmark">web开发性能优化---项目架构篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目技术架构层级规划和介绍 简称四横两纵 四横即四大层次,分别为: 1.用户渠道层:用户渠道层是直接面向最终用户.通过网站的形式向用户提供产品展示.企业市场宣传.对产品的订购.互动分享.客户关怀以及用户中心入口等功能,并提供后期扩展移动终端接入: 2.应用业务层:该层面向的是系统管理人员. 为系统管理人员提供系统的整体管理,包括产品管理.企业管理.栏目管理.交易管理.信息管理.用户管理.统计分析.客户管理和日志管理. 以及对平台支付平台.短信平台.邮件平台.仓储物流.CDN分发.呼叫中心.CRM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVaJjYp.html" rel="bookmark">web开发性能优化---用户体验篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何从技术角度如何增强用户体验,都是很多平台都在做的事情,根据个人实际经验碰到几种体验做下总结. 1.减少页面刷新白屏 适当使用ajax技术,改善刷新白屏现象: 2.信息提醒,邮件.站内信.短信在购物流程.售后流程适当增加信息温馨提醒环节: 3.定期回访及互动记录好会员每次来电来访.购买情况分析等数据做到定期客户关怀:增加生日免单.会员日等互动环节,增强互动性: 3.智能分析推荐分析会员购买偏好,智能推荐相关相关产品:根据会员喜欢定期推送促销信息: 4.多平台联合登录可以通过QQ.开心网.支付宝			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Oq8Bb.html" rel="bookmark">web开发性能优化---安全篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.权限管理 从模块.表单.数据审核.功能按钮全面数据安全验证及管理. 2.ip验证 数据接口访问进行IP校验 3.登录.操作日志.程序安全日志  系统所有用户登录.操作全部日志记录. 程序安全日志操作可查看我之前写过[LogHelper 日志记录帮助类 ]. 4.SQL注入校验过滤 a.表单控件js前端校验,特殊字符过滤 b.采用Global.asax的Application_BeginRequest事件过滤敏感字符. c.request请求过滤 特殊字符过滤可查看我之前写过[采用Global			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQPyQz.html" rel="bookmark" class="title">Xcode环境变量及路径设置</a>
					<div>
						一般我们在Xcode里面配置包含工程目录下头文件的时候,都要关联着相对路径和绝对路径,如果只是自己用这个项目,用绝对路径的问题不大,但是如果你把工程发给别人,别人就要在改这个绝对路径,这时候绝对路径的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJmaDp.html" rel="bookmark" class="title">不用Cookie的防刷新二级高亮菜单特效</a>
					<div>
						菜单高亮效果是每个网页经常采用的设计方式,它能有效地让用户知道自己当前所在的栏目 这也是我经常采用的方式,一般的网页至少都有两级菜单,第一个是顶部的总导航条菜单,另一个是左侧的分类导航菜单.一般要求在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO8exb.html" rel="bookmark" class="title">一篇入门的 Class 文章</a>
					<div>
						刚在大略浏览了一下首页更新的那篇有关Class的文章(指PHPE的那篇 http://www.phpe.net/articles/389.shtml ),很不错,建议看看.对类的摸索--俺用了半年时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd2DAb.html" rel="bookmark" class="title">好的内容才是最好的推广</a>
					<div>
						现在做站点的人多了,做网站可以说是变的零技术了.可是真正把站点做精的站长是少之又少. 大家一味只懂的做垃圾站点,嘴巴又一直在讲:我网站的回头率怎么这么低呀.怎么样提高我网站的流量呀.. 在想提高网站客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDGgrp.html" rel="bookmark" class="title">无刷新显示即时更新数据两例</a>
					<div>
						数据|刷新|无刷新|显示 因最近做网站需要用到无刷新数据,所以在网上查了一些资料,无刷新数据的实现无外乎用javascript或xmlhttp或iframe来实现.在网上找到一代码不是不能用就是效率太 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7P8Ab.html" rel="bookmark" class="title">思科设备配置软件：Cisco Network Assistant 5&period;2中文版 （CNA）</a>
					<div>
						对于Cisco Network Assistant(CNA)大家估计都很熟悉了,这是cisco推出一款免费工具,它可以用来配置思科的设备,如:Catalyst 交换机.PIX 防火墙.IP电话以及无线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK75Ddb.html" rel="bookmark" class="title">大并发服务器必备技术：sendfile</a>
					<div>
						socket发送函数. int send( SOCKET s, const char FAR *buf, int len, int flags ); 如果内容是动态生成的,一般是把传输内容直接丢给bu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jlvob.html" rel="bookmark" class="title">Debian 6系统下一键安装LNMP最快的命令</a>
					<div>
						直接给出安装方法:最快安装.最新稳定版.最省资源! root@DebianLNMP-Jimmyli:~# wget http://sourceforge.net/projects/debian-lnm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPNRmM.html" rel="bookmark" class="title">lightroom预设相关操作要点一览</a>
					<div>
						  lightroom预设相关操作要点一览 1.点击修改图片模式; lightroom 2.查看左侧面板里面的预设; lightroom 3.我们可以移动鼠标,在导航器里面看到实时的效果; 4.如果要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Yrqp.html" rel="bookmark" class="title">Windows7系统我的电脑中找回摄像头</a>
					<div>
						我刚买的笔记本装的是32位的Windows 7旗舰版.技术员说在Win 7系统&quot;我的电脑&quot;中无法看到摄像头,只有开QQ才能看到.我想知道怎样才能在Windows 7&quot;我的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWgvOb.html" rel="bookmark" class="title">强迫症患者必备PS清除无用图层样式插件</a>
					<div>
						  功能简介: 1.它能清除那些没用的图层样式,使你的图层更加简洁干净. 2.此插件不仅能让你的大型PS文件体积更轻盈,还可以让洁癖和强迫症患者感到舒适. 3.当你需要将你的PSD分享给其他人的时候还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGLDOp.html" rel="bookmark" class="title">Win8如何启用或禁用系统自动播放</a>
					<div>
						  Win8启用或禁用系统自动播放的方法如下: 1.进入控制面板-自动播放. 2.勾选&quot;为所有媒体和设备使用自动播放(U)&quot;,插入U盘.光盘.存储卡就会自动播放.取消勾选,就禁用自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywaKlz.html" rel="bookmark" class="title">d盘无法访问参数不正确解决方法</a>
					<div>
						  下载DiskGenius v3.3.0525这个分区与修复软件,启动后点[工具]下的&quot;搜索已丢失分区&quot; 尝试找回原来正确的分区表,另外也可下载易我分区表医生来搜索和恢复曾经有的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLae8Lz.html" rel="bookmark" class="title">python curses使用</a>
					<div>
						一.语法入门 1.打开和关闭一个curses 应用程序 在任何代码执行前都先要初始化curses.初始化操作就是调用initscr()函数,如下.该函数根据不同设备返回一个window对象代表整个屏幕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2Kdeb.html" rel="bookmark" class="title">mvc 获取访问者ip地址</a>
					<div>
						问题描述 mvc 获取访问者ip地址 通过IFeatureCollection获取RemoteIpAddress为null通过HttpContext.Connection.RemoteIpAddres ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NVZ6z.html" rel="bookmark" class="title">storm集群部署和配置过程详解</a>
					<div>
						  先整体介绍一下搭建storm集群的步骤: 设置zookeeper集群 安装依赖到所有nimbus和worker节点 下载并解压storm发布版本到所有nimbus和worker节点 配置storm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVd2Ob.html" rel="bookmark" class="title">在线等！-MFC中迷宫动态贴图如何实现</a>
					<div>
						问题描述 MFC中迷宫动态贴图如何实现 数构实验,用MFC实现迷宫算法!如何动态的贴很多张位图?跪求详细过程,在下新手菜鸟一枚!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NPWrM.html" rel="bookmark" class="title">portal学习（一）抄书</a>
					<div>
						这两天将网上下载的&lt;JSR168 porlet标准手册汉化整理&gt;和&lt;Liferay Portal二次开发指南&gt;认认真真地看了几遍,看了BEA站点上portal的getting  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamZ3Jb.html" rel="bookmark" class="title">【IOS-COCOS2D-X 游戏开发之六】使用BASE64算法对COCOS2DX自带CCUSERDEFAULT游戏存储数据编码加密！</a>
					<div>
						本站文章均为 李华明Himi 原创,转载务必在明显处注明:  转载自[黑米GameDev街区] 原文链接: http://www.himigame.com/iphone-cocos2dx/659.ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kQKPM.html" rel="bookmark" class="title">ajax-请问关于java 通过http client抓取网页信息返回：请开启JavaScript并刷新该页</a>
					<div>
						问题描述 请问关于java 通过http client抓取网页信息返回:请开启JavaScript并刷新该页 初学httpClient,想去抓取某个网页查询出来的结果信息,通过浏览器监控发现respo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr8vWM.html" rel="bookmark" class="title">jQuery Mobile仿360首页，jQuery Mobile网格布局&comma;jQuery Mobile网址大全&comma;HTML5仿360首页</a>
					<div>
						随着移动互联网的兴起,越来越多的人使用手机上网.打开uc浏览器,我们可以看到uc的主页.或者360的主页,或者百度的主页. 这些页面都是html5做的.看起来很难,其实一点也不难.网上有很多介绍htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoxKRb.html" rel="bookmark" class="title">解决方案-想做一个新闻接口，可以实现获取新闻频道，获取某频道下的新闻列表，获取新闻详细信息。</a>
					<div>
						问题描述 想做一个新闻接口,可以实现获取新闻频道,获取某频道下的新闻列表,获取新闻详细信息. 想做一个新闻接口,可以实现获取新闻频道,获取某频道下的新闻列表,获取新闻详细信息,但是苦于没有数据源.求各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke0nyb.html" rel="bookmark" class="title">Linux下GPRS拨号功能的实现</a>
					<div>
						原文 第一步:编写GPRS的内核驱动程序   因为我用的开发板基于ARM920T,linux内核中没有mc35i的驱动程序,所以自己写了个驱动程序,重新编译了内核.驱动程序代码如下: /**//* * ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKVn8b.html" rel="bookmark" class="title">asp&period;net webform-webform调用相机或相册实现上传头像</a>
					<div>
						问题描述 webform调用相机或相册实现上传头像 ASP.NET webform如何调用手机相机或相册实现上传头像,并以缩略图形式显示在用户头像一栏中.求大神指教!跪谢! 解决方案 http://w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLaV5p.html" rel="bookmark" class="title">第十二章  Python文件操作</a>
					<div>
						12.1 open() open()函数作用是打开文件,返回一个文件对象. 用法格式:open(name[, mode[, buffering[,encoding]]]) -&gt; file obj ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBaR8b.html" rel="bookmark" class="title">解读ASP&period;NET 5 &amp;amp&semi; MVC6系列教程（3）：项目发布与部署&lowbar;自学过程</a>
					<div>
						本章我们将讲解ASP.NET5项目发布部署相关的内容,示例项目以我们前一章创建的BookStore项目为例. 发布前的设置 由于新版ASP.NET5支持多版本DNX运行环境的发布和部署,所以在部署之前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zma7z.html" rel="bookmark" class="title">Windows 10系统设置文件夹显示在&OpenCurlyDoubleQuote;开始&rdquo;屏幕上的方法</a>
					<div>
						Windows 10 的开始屏幕默认有&quot;文件资源管理器.设置.所有应用&quot;等选项 解决办法如下 1.右击桌面空白,然后在弹出菜单选项&quot;个性化&quot;选项,打开进入个性化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKqGlb.html" rel="bookmark" class="title">多语言翻译软件 Translator Internet 序列号&lowbar;常用工具</a>
					<div>
						可以转换十二国家语言.在安裝完后需重新启动IE再填入序列号安装完后在你的IE上会多出下图所示一栏.只要你在后边选上中文点TRANSLATE就可以把网页全部翻译.(选CHINESE的国旗) INSTAL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDAjez.html" rel="bookmark" class="title">JAI的使用问题</a>
					<div>
						问题描述 我在applet中使用JAI的create方法,生成fiff图片,发现applet抛异常,fileload:nooperationdescriptorisregisteredinthecur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK5ovb.html" rel="bookmark" class="title">c语言-菜鸟求问C语言，if，else</a>
					<div>
						问题描述 菜鸟求问C语言,if,else #include #include char *compare(char *,char *); int main() { char *a1=&quot;ass ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
